/* $Id: engmsg.m,v 1.1.6.1.10.1.2.7.2.1.2.2.6.2 2018/09/11 15:43:52 sastar Exp $ */
/*------------------------------------------------------------------
 * Copyright (c) 1988 by SAS Institute Inc, Cary NCs  27512  USA
 *------------------------------------------------------------------
 * NAME:      engmsg.m
 * SUPPORT:   sasgus - Guy Simpson
 * PURPOSE:   Message definitions for SPD Product
 *----------------------------------------------------------------*/

#   73  %1zUnable to init socket API.
#   74  %1zUnable to connect to SPD Server at node %s.
#   75  %1zError on server LIBNAME socket.
#   76  %1zServer has disconnect.
#   77  %2z%s.
#   78  %3z%s.
#   79  %1zServer has disconnected.
#   80  %1zUnable to create index %8b.%s.
#   81  %1zWrite failed. Number of observations written to disk is %d.
#   82  %1zUnable to connect to SPD Proxy data socket.
#   83  %1zSPD Server nodename missing.
#   84  %1zUnable to connect to SPD Name Server.
#   85  %1zLibname path info not found in SPD Name Server.
#   86  %1zError communciating to the SPD Name Server.
#   87  %1zLength of LIBNAME exceeds maximum of %d.
#   88  %1zLength of GROUP exceeds maximum of %d
#   89  %1zBuffer exceeded maximum packet size of %d.
#   90  %1zError on data Data Socket.
#   91  SPD Server has rejected login from user %s.
#   94  %2zSPD Server setinit date is going to expire in %d days.
#   95  Protocol mismatch proxy version is %4b while engine
!       version is %4b
#   96  Proxy version mismatch. Proxy version is %4b while engine
!       version is %4b.
#   97  Error on data Data Socket.
#   98  %1zNew password verification failed, password not changed.
#   99  %1zThe new password is identical to the old one.
#   100 %1zError code received from server when changing password.
#   101 %3zPassword successfully changed.
#   102 %1zPassword has expired and a new password not given.
#   103 Unable to obtain addr for hostname %s from gethostbyname().
#   104 %s service not found in services file.
#   105 %1zPassword not changed.
#   106 %1zPassword has expired, unable to change password.
#   107 %1zPassword cannot be changed because SPD Server
!         does not have write access to the ACL file.
#   108 %3zUser %s(ACL Group %s) connected to SPD(%8b) %4b Server at %s.
#   109 %1zOpen failed for member %8b.
#   110 %3zUser %s disconnected from SPD Server at %s.
#   111 Protocol compilation mismatch. Proxy version is %8b while engine
!       version is %8b
#   112 %3zSPD  - using direct fast read.
#   113 %2zProc Sort will not sort input data set since SPD option
!       NOSASSORT is in effect.
#   114 %3zSAS Client and SPD Server are on the same workstation.
!       Options UNIXDOMAIN=YES,and WHERESIZE=%d
!         have been set.
#   115 %3zIndex %8b repaired.
#   116 %2zUnable to repair index %8b.
#   117 %2zOut of disk space while repairing index %8b.
#   118 %3zRepair of data set %8b successfully completed.
#   119 %3zData set %8b is not damaged.
#   120 %3zData set %8b has %d damaged indexes.
#   121 %2zRepair of data set %8b was not successfully completed
#   122 %3zRepair of data set %8b started....
#   123 Hostname %s not found
#   124 Service %s not found
#   125 ACL permission option(s) specified but no ACLRES present
#   126 Concataneted LIBNAME domains are not supported by SPD
#   127 process.
#   128 %3zWHERE clause evaluation by SPD Server has been turned off
!       by SPDSWHERE option.
#   129 %3zWHERE clause evaluation by SPD Server has been turned off
!       by WHERESIZE and FASTOPT=YES option.
#   130 Internal error: decompression failed
#   131 ENDOBS option < STARTOBS option - no data to read from file
!      %3y
#   132 %2zDuplicate values not allowed on index %8b for file %3y.
!       (Occurred %d times.)
#   134 %3zDuplicate records have been stored in file %3y.
#   135 %1zUnable to connect to SPD operator port.
#   136 %1zError communciating to the SPD operator.
#   137 %3zThis is an experimental version of the SPD operator proc.
#   138 %1zUnable to connect to SPD logger port.
#   139 MEMBER lock is not available, lock held by process %*s
#   140 %3zCluster %*s has been created with %d maximum slots
#   141 %3zCluster %*s add successfully completed.
#   142 %3zCluster %*s undo successfully completed.
#   143 %3zCluster %*s remove successfully completed.
#   144 %3zCluster %*s has been created with dynamic growth.
#   145 %3zGrid Cluster %*s has been successfully created.
#   146 %3zGrid Cluster %*s add successfully completed.
#   147 %3zGrid Cluster %*s undo successfully completed.
#   148 %3zGrid Cluster %*s remove successfully completed.
#   149 LOCKING=YES cannot be specified for a Hadoop domain
#   150 %1zUnable to connect to SPD Record Level Locking Proxy.
#   151 %1zUnable to connect to SPD Proxy Async Libname Port.
#   152 %1zNon secure client cannot connect to a SSLSECURE server.
#   153 Error on Server Listen Socket.
#   154 Error on RLL Listen Socket.
#   155 Error on Async Listen Socket.
#   156 Error establishing SSL Socket.  Contact your SPDS Admin.
#   157 Cannot connect to domain %s
/*-----------------------------------------------------------*/
/* spd operator proc                                        */
/*-----------------------------------------------------------*/

#   200 %3z You must do set acluser first.
#   201 %3zAcluser has been set to %8b.
#   202 %3zAcltype has been set to %8b.
#   203 %3zACL entry %8b.%8b deleted.
#   204 %3zUser %s with portno %d not found.
#   205 %3zUser %8b connected to proxy operator port with pid=%d.
#   206 %3zUser %8b already connected.
#   207 %3zACL %8b.%8b added.
#   208 %3zACL entry %8b.%8b modified.
#   209 %3zACL access permissions for user %8b has been modified.
#   210 %3zEnter RUN; to continue or QUIT; to end the procedure.
#   211 %1zLibref %8b not assigned to SASSPDS engine.
#   212 %1zLibref %8b not assigned.
#   213 %3zMode has been set to operator.
#   214 %3zMode has been set to user.
#   215 %3zCurrent mode is operator.
#   216 %3zCurrent mode is user.
#   217 %3zProxy for user %8b with portno %d has been HALTED.
#   218 %3zProxy for user %8b with portno %d has been CANCELLED.
#   219 %3zProxy for user %8b with portno %d has been UNHALTED.
#   220 %3zYou must do a set user first.
#   221 %3zNo librefs currently defined.
#   222 %3zNo data sets currently opened for libref %8b.
#   223 %3zSPD Server log monitor started with wait=%d secs.
#   224 %3zSPD Server log monitor terminated.
#   225 %3zSPD Server log monitor already started.
#   226 %3zNew catalog subdirectory %s already exists.
#   227 %3z%mCompressing data set %8b.%32b decreased size by %-7.2f
!     percent.
#   228 %2zCompression is not supported by SPD 1.0.
#   229 Catalog Access is not supported by SPD 1.0
#   230 %2zACL GROUP is not supported by SPD 1.0.
#   231 %3zCATALOG is supported on an experimental basis.
#   232 %3zDISK COMPRESSION is supported on an experimental basis.
#   233 %3zUser %s connected to SPD Server at %s.
# 236 %t%tADD ACL namelist <C=catalog> <T=entrytype>
!        </ <addopts> <MODEL=modelname> >;
!       %n%t%tnamelist%t%tList of names.
!       %n%t%taddopts%t%t%mREAD|WRITE|ALTER|CONTROL|GENERIC|
!                 %-2nPERSIST|GROUPREAD|GROUPWRITE|
!                 %-2nGROUPALTER|GROUPCONTROL
!       %n%t%tmodelname%t%tThe name of another ACL entry
!           to copy permissions.
!       %n%t%tcatalog%t%tThe name of the catalog.
!       %n%t%tentrytype%t%tThe catalog entry type.
!       %n%nAlso see command SETA.
!       %n%nFor example:
!       %n%t%tADD ACL a b c/ READ GROUPREAD ;
#   237 %3z%mEnter "?;" to get info on all the SPDO commands.
!       %-2nEnter "SPDSMAC;" to get list and setting of all SPD
!       macros.
#   238 %t%t%t%tACL Commands:
!       %n%t%tSETA%t%t%t Set ACL user and type.
!       %n%t%tADD%t%t%t Add an ACL.
!       %n%t%tMODIFY%t%t%t Modify an existing ACL.
!       %n%t%tLISTA%t%t%t List defined ACLs.
!       %n%t%tDELETE%t%t%t Delete existing ACLs.
#   239 %t%t%t%tProxy Commands:%m
!       %n%t%tSETO%t%t%t Set operator mode.
!       %n%t%tSETU%t%t%t Set proxy name.
!       %n%t%tLISTU%t%t%t List all active users.
!       %n%t%tSHOWL%t List all LIBNAMES defined.
!       %n%t%tOPER%t%t%t Operator commands.
!       %n%t%tLOG%t13:43:32t Start/Stop SPD Server logger window.
!       %nEnter ? <command>; for more info on command.
#  240 %t%tMODIFY ACL namelist <C=catalog> <T=entrytype>
!        </ <modopts> <userlist> >;
!       %n%t%tnamelist%t%tList of names.
!       %n%t%tmodopts%t%t%mREAD|WRITE|ALTER|CONTROL|GENERIC|
!                 %-2nNOREAD|NOWRITE|NOALTER|NOCONTROL|
!                 %-2nPERSIST|GROUPREAD|GROUPWRITE|
!                 %-2nGROUPALTER|GROUPCONTROL|NOGROUPREAD|
!                 %-2nNOGROUPWRITE|NOGROUPALTER|NOGROUPCONTROL
!       %n%t%tuserlist%t%tUsername=(Y|N,Y|N,Y|N,Y|N)
!       %n%t%tcatalog%t%tThe name of the catalog.
!       %n%t%tentrytype%t%tThe catalog entry type.
!       %n%nAlso see command SETA.
#  241  %nFor example:
!       %n%t%tMODIFY ACL  a / NOREAD GROUPWRITE DOE=(Y,N,N,N)
!         JANE=(Y,Y,N,N) SMITH=(,,N,) ;
#  242  %t%tDELETE ACL namelist <C=catalog> <T=entrytype>
!       </ GENERIC> ;
!       %n%t%tnamelist%t%tList of names or _ALL_ for all ACLs.
!       %nAlso see command SETA.
!       %n%nFor example:
!       %n%t%tDELETE ACL  a ;
!       %n%t%tDELETE ACL b/GENERIC;
!       %n%t%tDELETE ACL _ALL_;
#  243  %t%tLIST ACL namelist <C=catalog> <T=entrytype>
!       </ GENERIC> ;
!       %n%t%tnamelist%t%tList of names or _ALL_ for all ACLs.
!       %n%nAlso see command SETA.
!       %n%nFor example:
!       %n%t%tLIST ACL  a ;
!       %n%t%tLIST ACL _ALL_/GENERIC;
#  234  %t%tSET ACLUSER name ;
!       %n%t%tname%t%tName of ACL user(def: login name)
!       %n%tThis scopes the ACL to those belonging to name.
!       %n%nFor example:
!       %n%t%tSET ACLUSER JANE;
#  235  %n%t%tSET ACLTYPE type ;
!       %n%t%ttype%t%t%mType of Data Set
!       %-2nValid values are MDDB, DATA, VIEW, CATALOG
!       %-2nDefault Value is DATA
!       %n%nFor example:
!       %n%t%tSET ACLTYPE CATALOG;
#  244  %t%tLIST USERS;
!       %n%tLists all users(and portnos) currently
!        connected to SPD Server.
#  245  %t%tSET USER name <portno>;
!       %n%t%tname%t%tName of user for proxy connect.
!       %n%t%tSee command LISTU.
!       %n%t%tportno%t%mPortno of user if multiple proxies connected.
!       %-2nwith same user name are connected
#  246  %t%tSET MODE <OPER>;
!       %n%t%tOPER%tSet operator mode
!       %n%t%tDefault is non-operator mode.
!       %NYou must have operator authority to set operator mode.
#  247  %t%tOPER cmd ;
!       %n%t%tcmd%t%t%mCommand name
!       %-2nValid cmds are HALT, CANCEL, RESUME
!       %-2nHALT - halts the current proxy (see SETU).
!       %-2nRESUME - resumes a halted proxy.
!       %-2nCANCEL - cancels the current proxy.
!       %n%tYou must be in operator mode(See SETO).
#  248  %t%tSHOWLIBNAME namelist </showopt>;
!       %n%t%tnamelist%t%t%mList of LIBNAMES to show or _ALL_
!       %n%t%tshowopt%t%t%m<DUMP=_ALL_|name>
!       %-2nShows info from disk
!       %n%t%t%t%t%m<DATA=_ALL_|name>
!       %-2nShows info for the opened data sets
!       %nFor example:
!       %n%t%tSHOWLIBNAME _ALL_/DUMP=A;
!       %n%t%tSHOWLIBNAME FOO/DUMP=_ALL_;
!       %n%t%tSHOWLIBNAME FOO/DATA=C;
#  249  %t%tOPER STARTLOG <WAIT=time>;
!       %n%t%tStarts the SPD Server logger window.
!       %n%t%ttime%t%t%mRefresh time (mins) (def:1 min)
!       %n%t%tOPER STOPLOG;
!       %n%t%tStops the SPD Server logger window.
#  250  %t%t%t%tSPD Macro Variables list/settings.
#  251  %t%tSPDSBNEQ=%3b%tControls BYNOEQUALS for BY processing.
#  252  %t%tSPDSBSRT=%3b%tControls Sorting for BY processing.
#  253  %t%tSPDSCOMP=%3b%tControls Network Data Compression.
#  254  %t%tSPDSDCMP=%3b%tControls Data Compression (exp).
#  255  %t%tSPDSEKEY=%s%t%tEncryption/Decryption Key (exp).
#  256  %t%tSPDSEOBS=%d%t%tEnding observation number.
#  257  %t%tSPDSISRT=%3b%t%mControls sorting of data during index
!       %-2ncreation.
#  258  %t%tSPDSMMAP=%3b%tControls mmaping of files.
#  259  %t%tSPDSNETP=%d%tNetwork Packet Size.
#  260  %t%tSPDSNIDX=%3b%t%mControls whether indexes are used during
!       %-2nWhere clause planning or by processing.
#  261  %t%tSPDSNSEG=%3b%t%mControls whether segmented B-tree index
!       %-2nare created.
#  262  %t%tSPDSSADD=%3b%t%mControls whether record updates are
!       %-2nsynchronous.Important when using Unique indexes and
!       %-2nduplicate values are detected.
#  263  %t%tSPDSSOBS=%d%t%tStarting observation number.
#  264  %t%tSPDSSTYP=%s%tControls whether QUICKSORT is used.
#  265  %t%tSPDSSYRD=%3b%t%mControls whether reads are done
!       %-2nsynchronously.
#  266 %t%tSPDSUSAV=%3b%t%mControls whether records with duplicate
!       %-2nkeys are saved in a SAS Data Set.
#  267  %t%tSPDSUSDS=%s%t%t%mName of the SAS Data Set which has the
!       %-2nrecords with duplicate keys.
#  268 %t%tSPDSVERB=%3b%t%mControls verbose listing of data set
!       %-2ncontents.
#  269 %t%tSPDSWBTR=%3b%t%mControls whether global index is used
!       %-2ninstead of segmented indexes in WHERE clause evaluation.
#  270 %t%tSPDSWDEB=%3b%t%mControls whether WHERE clause
!       %-2nplanning tree is printed.
#  271 %t%tSPDSWEV1=%3b%t%mControls whether EVAL1 is forced
!       %-2nby WHERE clause planner.
#  272 %t%tSPDSNBTR=%3b%t%mControls whether no global index will be
!       %-2ncreated for bit mapped indexes.
#  273 %t%tSPDSCMPF=%d%t%mNumber of bytes free in each compress block
!       %-2nfor later updates. Default is 0 bytes.

#  274 %t%tSPDSEV1T=%d%t(1.2)EVAL1 method type(0=sync,1=async).
#  275 %t%tSPDSEV2T=%d%t(1.2)EVAL2 method type(0-sync,1=async).
#  276 %t%tSPDSSIZE=%d%t(1.2)File Partition size (in M units).
#  277 %t%tSPDSFSAV=%3b(1.2)Controls whether output files are deleted.
#  278 %1zName Server is at a level lower than the client.
#  280 %3zLibref %8b was successfully assigned as follows:
!      %-2nEngine:        %8b
!      %-2nPhysical Name: %*s
#  281 %3zPhysical Name: %*s
#  282 Invalid value for the %8b option.
#  283 Invalid option name %8b.
#  284 %3zACL %8b.%8b.%8b added.
#  285 %3zACL entry %8b.%8b modified
#  286 %3zYou are accessing a table for which you do not have
!       access to all the columns.
#  287 %3zACL %8b(%8b).%8b deleted.
#  288 %t%tSPDSCMD 'cmd';
!      %n%t%tIssues system cmd on the server node.
!      %n%t%tRequires ACL SPECIAL authority
#  289 %3zParallel sequential read is being performed.
#  290 %3zUser %s(ACL Group %s ) connected to SPD(%8b) %4b Server
!       at %s with connection ID  %d.
#  291 %1zPassword must be at least 6 characters, containing at least
!      1 character and 1 numeric.
#  292 %3zUser %s(ACL Group %s) connected to SPD(%8b) %4b (HF%d) Server at %s.
#  293 %3zCluster %*s replace successfully completed.
#  294 %3zUser %s(ACL Group %s) connected to SPD(%8b) %s Server at %s.
#  295 %3zUser %s(ACL Group %s) connected to Secure SPD(%8b) %s Server at %s.
